<?php

/* PROGRAMAÇÃO BY: BINHO, FUNDADOR DA CTGAMES - TEAM SOFTWARES */

if($_GET["efetuar"] == true) {
$personagem = $_GET["mr_personagem"];
$ver_char = mssql_num_rows(mssql_query("select name from character where accountid='".$_SESSION["login"]."'"));
$ver_on = mssql_fetch_row(mssql_query("select connectstat from memb_stat where memb___id='".$_SESSION["login"]."'"));
if($personagem == "") {
	exit($bbcode->bbcode('<div class="box_conteudo">Preencha todos os campos</div>'));
}
elseif($ver_char < 1) {
	exit($bbcode->bbcode('<div class="box_conteudo">Personagem inválido</div>'));
}
elseif($ver_on[0] > 0) {
	exit($bbcode->bbcode('<div class="box_conteudo">É necessário estar deslogado</div>'));
}
else{
	$dados = mssql_fetch_row(mssql_query("select clevel,".colum_reset.",money,strength,dexterity,vitality,energy from character where name='".$personagem."'"));
	$vip = mssql_fetch_row(mssql_query("select ".colum_vip." from memb_info where memb___id='".$_SESSION["login"]."'"));
	if($vip[0] == 0) {
		if($dados[0] < $MASTER_RESET["LEVEL"][0]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário estar no level '.$MASTER_RESET["LEVEL"][0].'</div>'));
		}
		elseif($dados[1] < $MASTER_RESET["RESET"][0]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["RESET"][0].' resets</div>'));
		}
		elseif($dados[2] < $MASTER_RESET["ZEN"][0]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["ZEN"][0].' de zen</div>'));
		}
		elseif($dados[3] < $MASTER_RESET["POINTS"][0]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["POINTS"][0].' pontos em força</div>'));
		}
		elseif($dados[4] < $MASTER_RESET["POINTS"][0]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["POINTS"][0].' pontos em agilidade</div>'));
		}
		elseif($dados[5] < $MASTER_RESET["POINTS"][0]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["POINTS"][0].' pontos em vitalidade</div>'));
		}
		elseif($dados[6] < $MASTER_RESET["POINTS"][0]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["POINTS"][0].' pontos em energia</div>'));
		}
		else{
			mssql_query("update character set clevel='".$MASTER_RESET["LEVEL_AFTER"][0]."',".colum_reset."=".colum_reset."-".$MASTER_RESET["RESET_CLEAR"][0].",strength='".$MASTER_RESET["STATS"][0]."',dexterity='".$MASTER_RESET["STATS"][0]."',vitality='".$MASTER_RESET["STATS"][0]."',energy='".$MASTER_RESET["STATS"][0]."',leveluppoint='".$MASTER_RESET["POINTS_AFTER"][0]."',money=money-'".$MASTER_RESET["ZEN"][0]."',experience='0',".colum_mreset."=".colum_mreset."+1 where name='".$personagem."'");
			mssql_query("update ".table_moeda2." set ".colum_moeda2."=".colum_moeda2."+'".$MASTER_RESET["BONUS"][0]."' where ".colum_login2."='".$_SESSION["login"]."'");
			exit($bbcode->bbcode('<div class="box_conteudo">Master reset efetuado com sucesso</div>'));
		}
	}
	if($vip[0] == 1) {
		if($dados[0] < $MASTER_RESET["LEVEL"][1]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário estar no level '.$MASTER_RESET["LEVEL"][1].'</div>'));
		}
		elseif($dados[1] < $MASTER_RESET["RESET"][1]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["RESET"][1].' resets</div>'));
		}
		elseif($dados[2] < $MASTER_RESET["ZEN"][1]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["ZEN"][1].' de zen</div>'));
		}
		elseif($dados[3] < $MASTER_RESET["POINTS"][1]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["POINTS"][1].' pontos em força</div>'));
		}
		elseif($dados[4] < $MASTER_RESET["POINTS"][1]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["POINTS"][1].' pontos em agilidade</div>'));
		}
		elseif($dados[5] < $MASTER_RESET["POINTS"][1]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["POINTS"][1].' pontos em vitalidade</div>'));
		}
		elseif($dados[6] < $MASTER_RESET["POINTS"][1]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["POINTS"][1].' pontos em energia</div>'));
		}
		else{
			mssql_query("update character set clevel='".$MASTER_RESET["LEVEL_AFTER"][1]."',".colum_reset."=".colum_reset."-".$MASTER_RESET["RESET_CLEAR"][1].",strength='".$MASTER_RESET["STATS"][1]."',dexterity='".$MASTER_RESET["STATS"][1]."',vitality='".$MASTER_RESET["STATS"][1]."',energy='".$MASTER_RESET["STATS"][1]."',leveluppoint='".$MASTER_RESET["POINTS_AFTER"][1]."',money=money-'".$MASTER_RESET["ZEN"][1]."',experience='0',".colum_mreset."=".colum_mreset."+1 where name='".$personagem."'");
			mssql_query("update ".table_moeda2." set ".colum_moeda2."=".colum_moeda2."+'".$MASTER_RESET["BONUS"][1]."' where ".colum_login2."='".$_SESSION["login"]."'");
			exit($bbcode->bbcode('<div class="box_conteudo">Master reset efetuado com sucesso</div>'));
		}
	}if($vip[0] == 2) {
		if($dados[0] < $MASTER_RESET["LEVEL"][2]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário estar no level '.$MASTER_RESET["LEVEL"][2].'</div>'));
		}
		elseif($dados[1] < $MASTER_RESET["RESET"][2]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["RESET"][2].' resets</div>'));
		}
		elseif($dados[2] < $MASTER_RESET["ZEN"][2]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["ZEN"][2].' de zen</div>'));
		}
		elseif($dados[3] < $MASTER_RESET["POINTS"][2]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["POINTS"][2].' pontos em força</div>'));
		}
		elseif($dados[4] < $MASTER_RESET["POINTS"][2]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["POINTS"][2].' pontos em agilidade</div>'));
		}
		elseif($dados[5] < $MASTER_RESET["POINTS"][2]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["POINTS"][2].' pontos em vitalidade</div>'));
		}
		elseif($dados[6] < $MASTER_RESET["POINTS"][2]) {
			exit($bbcode->bbcode('<div class="box_conteudo">É necessário ter '.$MASTER_RESET["POINTS"][2].' pontos em energia</div>'));
		}
		else{
			mssql_query("update character set clevel='".$MASTER_RESET["LEVEL_AFTER"][2]."',".colum_reset."=".colum_reset."-".$MASTER_RESET["RESET_CLEAR"][2].",strength='".$MASTER_RESET["STATS"][2]."',dexterity='".$MASTER_RESET["STATS"][2]."',vitality='".$MASTER_RESET["STATS"][2]."',energy='".$MASTER_RESET["STATS"][2]."',leveluppoint='".$MASTER_RESET["POINTS_AFTER"][2]."',money=money-'".$MASTER_RESET["ZEN"][2]."',experience='0',".colum_mreset."=".colum_mreset."+1 where name='".$personagem."'");
			mssql_query("update ".table_moeda2." set ".colum_moeda2."=".colum_moeda2."+'".$MASTER_RESET["BONUS"][2]."' where ".colum_login2."='".$_SESSION["login"]."'");
			exit($bbcode->bbcode('<div class="box_conteudo">Master reset efetuado com sucesso</div>'));
		}
	}
}
}

?>